Subject: Re: [PATCH v2 0/2] bisect: status improvements when bisect is not fully fleshed out

From: Junio C Hamano <[email-masked]>
Date: Sat, 07 May 2022 11:25:58 -0700

Chris Down <[email-masked]> writes:

> Thanks Junio and Taylor for reviewing. I have the following action
> items for v3:
>
> # [1/3] bisect: lowercase "Bisect:" to "bisect:" prior to wider use
>
> - New patch

My preference actually were to leave this change out of the topic.
That is, instead of using "status:" in newer messages, have them use
the same "Bisecting:", so that all the "where we are in the bisect
session?" messages from the command use that same prefix.

I also wonder if the existing "Bisecting:" messages should also be
sent as comment to the log file, using the same bisect_log_printf()
helper (with the v2 patches, they are still using printf() and sent
only to the standard output).

But this, just like "status:" -> "Bisecting:" -> "bisecting:" you
reacted to, is just "I wonder...", and is not a suggestion to make
changes as part of this series.  Something to think about for a
possible follow-up after we complete this topic.

But I do not mind if you want to go the extra mile to do all of the
above as part of the series.  It would make the series to require
more reviews, which is why I generally recommend against extending
the scope of the (initial) topic too much and instead leave as much
additional changes to follow-up series after the initial series is
done.

> # [2/3] bisect: output state before we are ready to compute bisection 
> - Fix multiline comment style in bisect.h
> - Zero-initialise bisect_state directly, don't use memset()
> - Pass the bisect state struct as an argument into bisect_print_status
> - Change from "status:" to "bisecting:"
>
> # [3/3] bisect: output bisect setup status in bisect log
>
> - Use strbuf in bisect_log_printf
> - Change `git bisect log' use an output file in tests instead of piping
>
> I'll wait a bit to see if there's any further feedback and then will send v3.
>
> Thanks!